Package com.xebialabs.xlrelease.domain.status

# Enum Class ReleaseStatus

java.lang.Object
java.lang.Enum<ReleaseStatus>
com.xebialabs.xlrelease.domain.status.ReleaseStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<ReleaseStatus>`, `Constable`

public enum ReleaseStatus extends Enum<ReleaseStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORTED`
  `COMPLETED`
  `FAILED`
  `FAILING`
  `IN_PROGRESS`
  `PAUSED`
  `PLANNED`
  `TEMPLATE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ReleaseStatus[]`
  `ACTIVE_STATUSES`
  `static final ReleaseStatus[]`
  `INACTIVE_STATUSES`
  `static final ReleaseStatus[]`
  `RECOVERABLE_STATUSES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasBeenStarted()`
  `boolean`
  `isActive()`
  `boolean`
  `isInactive()`
  `static Set<String>`
  `namesOf(ReleaseStatus... statuses)`
  `static Set<String>`
  `namesOf(EnumSet<ReleaseStatus> statuses)`
  `static EnumSet<ReleaseStatus>`
  `toEnumSet(ReleaseStatus... statuses)`
  `String`
  `value()`
  `static ReleaseStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReleaseStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEMPLATE

    public static final ReleaseStatus TEMPLATE

  - ### PLANNED

    public static final ReleaseStatus PLANNED

  - ### IN_PROGRESS

    public static final ReleaseStatus IN_PROGRESS

  - ### PAUSED

    public static final ReleaseStatus PAUSED

  - ### FAILING

    public static final ReleaseStatus FAILING

  - ### FAILED

    public static final ReleaseStatus FAILED

  - ### COMPLETED

    public static final ReleaseStatus COMPLETED

  - ### ABORTED

    public static final ReleaseStatus ABORTED

- ## Field Details

  - ### RECOVERABLE_STATUSES

    public static final ReleaseStatus[] RECOVERABLE_STATUSES

  - ### ACTIVE_STATUSES

    public static final ReleaseStatus[] ACTIVE_STATUSES

  - ### INACTIVE_STATUSES

    public static final ReleaseStatus[] INACTIVE_STATUSES

- ## Method Details

  - ### values

    public static ReleaseStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReleaseStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### isActive

    public boolean isActive()

  - ### isInactive

    public boolean isInactive()

  - ### hasBeenStarted

    public boolean hasBeenStarted()

  - ### toEnumSet

    public static EnumSet<ReleaseStatus> toEnumSet(ReleaseStatus... statuses)

  - ### namesOf

    public static Set<String> namesOf(ReleaseStatus... statuses)

  - ### namesOf

    public static Set<String> namesOf(EnumSet<ReleaseStatus> statuses)